* {
    font-family: "Instrument Sans", sans-serif !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0px;
}

.container-fluid {
    padding: 0px 60px !important;
}

a {
    text-decoration: none !important;
    color: inherit !important;
}

.f-12 {
    font-size: 12px !important;
}

.f-14 {
    font-size: 14px !important;
}

.f-16 {
    font-size: 16px !important;
}

.f-18 {
    font-size: 18px !important;
}

.f-20 {
    font-size: 20px !important;
}

.f-22 {
    font-size: 22px !important;
}

.f-24 {
    font-size: 24px !important;
}

.f-25 {
    font-size: 25px !important;
}

.f-26 {
    font-size: 26px !important;
}

.f-28 {
    font-size: 28px !important;
}

.f-30 {
    font-size: 30px !important;
}

.f-400 {
    font-weight: 400 !important;
}

.f-500 {
    font-weight: 500 !important;
}

.f-600 {
    font-weight: 600 !important;
}

.f-700 {
    font-weight: 700 !important;
}

.f-800 {
    font-weight: 800 !important;
}

.f-900 {
    font-weight: 900 !important;
}

.f-white {
    color: #fff !important;
}

.f-black {
    color: #000 !important;
}

.f-gray {
    color: #656263 !important;
}

.f-purple {
    color: #810055 !important;
}

.bg-purple {
    background-color: #810055 !important;
}
.br-10 {
    border-radius: 10px !important;
}
.br-12 {
    border-radius: 12px !important;
}
.bg-gray {
    background: linear-gradient(180deg, #f5f5f5 52.62%, #ffffff 100%);
}
.bg-gray-90 {
    background: linear-gradient(90deg, #f5f5f5 52.62%, #ffffff 100%);
}
.border-purple {
    border-color: #810055 !important;
}
.quote-border {
    border-left: 3px solid #810055 !important;
}
.btn-border {
    border: 1px solid #e5e5e5 !important;
}
.card-border {
    border: 1px solid #e5e5e5 !important;
}
.active {
    color: #810055 !important;
    font-weight: 600;
}

#footer {
    background: #f5f5f5 !important;
}

#footer .footer-last-sec {
    display: flex;
    justify-content: space-between;
}

/* common */
.form-control:focus {
    box-shadow: none !important;
    border-color: #dee2e6 !important;
}

.form-select:focus {
    box-shadow: none !important;
    border-color: #dee2e6 !important;
}
.required::after {
  content: " *";
  color: red;
  /* font-weight: bold; */
}
.btn-primary {
    background-color: #810055 !important;
    border-color: #810055 !important;
    gap: 10px !important;
}

.btn-outline-primary {
    color: #810055 !important;
    border-color: #810055 !important;
}

.btn-outline-primary:hover {
    background-color: transparent !important;
    border-color: #810055 !important;
}

.btn-active {
    color: #fff !important;
    background-color: #810055 !important;
    border-color: #810055 !important;
}

.btn-secondary {
    background-color: #fff !important;
    gap: 10px !important;
}

.custom-btn {
    display: flex;
    align-items: center;
    gap: 8px;
}

/* Preloader overlay */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* Content wrapper */
.preloader-content {
  text-align: center;
}

/* Logo styling */
#preloader .logo {
  width: 200px; /* adjust size */
  margin-bottom: 30px;
}

/* Progress bar container */
.progress-container {
  width: 250px;
  height: 8px;
  background: #E5E5E5;
  border-radius: 5px;
  overflow: hidden;
  margin: 0 auto;
}

/* Progress bar animation */
.progress-bar {
  width: 0%;
  height: 100%;
  background: #810055;
  border-radius: 5px;
  animation: loading 3s linear infinite;
}

@keyframes loading {
  0% { width: 0%; }
  50% { width: 100%; }
  100% { width: 0%; }
}
/* header */
#header .main-logo {
    width: 180px;
}

#header .cus-input-search {
    background-color: transparent !important;
    border-right: 0px !important;
}

#header .input-group-text {
    background-color: transparent !important;
    border-left: 0px !important;
}

#header .form-control {
    padding: 10px 15px 10px 15px;
    gap: 10px !important;
}
#search-results a {
    display: flex;
    align-items: center;
    padding: 8px 12px;
    color: #333;
    text-decoration: none;
}

#search-results a:hover {
    background-color: #f8f9fa;
}

#search-results img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 6px;
    margin-right: 10px;
}

#search-results small {
    color: #6c757d;
}


/* Home */
.main-title {
    font-size: 3rem;
    line-height: 1.2 !important;
}
.sectiontitle {
    font-size: 1.875rem; /* 30px for desktop (base: 16px) */
    font-weight: 600;
    line-height: 1.3;
}
.productName {
    font-size: 1.125rem; /* 18px (base: 16px) */
    font-weight: 600;
    line-height: 1.4;
}
.category-card {
    background-color: #fbfbfb !important;
    border-color: #e5e5e5 !important;
    border-radius: 10px !important;
    height: 100%;
}
.category-card .card-body {
    padding: 12px 0px;
}

.category-card p {
    font-size: 14px !important;
}

.quotation-pur-img {
    width: 70px;
    height: 70px;
}

#quotation {
    background-image: linear-gradient(
        to bottom,
        #fff 0%,
        #fff 50%,
        #f5f5f5 50%,
        #f5f5f5 100%
    );
}
#quotation .card {
    box-shadow: 0px 0px 6px 0px #0000001a !important;
}
.banner-section {
  position: relative;
  width: 100%;
  height: 60vh; /* adjust height as needed (e.g. 70vh for taller banner) */
  overflow: hidden;
  border-radius: 12px; /* same as .banner-radius if you use it */
}

.banner-section img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* keeps the aspect ratio while filling the space */
  border-radius: 12px;
}

.banner-text {
  position: absolute;
  top: 35px;
  left: 35px;
  /* transform: translate(-50%, -50%); */
  /* text-align: center; */
  color: #fff;
}

.banner-text h1 {
  font-size: 2.5rem;
  font-weight: 600;
}
@media (max-width: 768px) {
  .banner-section {
    height: 40vh; /* smaller height on mobile */
  }
  .banner-text h1 {
    font-size: 1.8rem;
  }
}
.swiper .card-img-top {
    border: 1px solid #e5e5e5 !important;
    border-radius: 10px !important;
}
.swiper-start {
    margin-right: -60px;
    padding-right: 0;
}
.swiper-end {
    margin-left: -60px;
    padding-left: 0;
}
.swiper .card {
    background: transparent !important;
    border: 0px !important;
}
.swiper .c-desc {
    font-size: 14px !important;
    color: #810055;
    font-weight: 500;
    margin-bottom: 4px;
}

.contact-us-bg {
    background-image: url("../images/contact-background.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 12px;
    min-height: 320px !important;
}
.contact-us-bg .card-body {
    padding: 0px 40px !important;
}

.frame-perfaction-bg {
    background-image: url("../images/frame-perfaction.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 12px;
    min-height: 250px !important;
}
.frame-perfaction-bg .card-body {
    padding: 30px 24px !important;
}

.dress-modular-bg {
    background-image: url("../images/dress-modular.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 12px;
    min-height: 250px !important;
}
.dress-modular-bg .card-body {
    padding: 30px 24px !important;
}

/* categories page */

.banner-slide {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 500px;
    border-radius: 12px;
}

/* Assign background images by nth-child */
.banner-slide:nth-child(1) {
    background-image: url("../images/category/category-main-banner.png");
}

.banner-slide:nth-child(2) {
    background-image: url("../images/category/category-main-banner.png");
}

.banner-slide:nth-child(3) {
    background-image: url("../images/category/category-main-banner.png");
}

.swiper-pagination-bullet {
    background: #ffffff !important;
    opacity: 1 !important;
}

.swiper-pagination-bullet-active {
    background: #810055 !important;
    opacity: 1 !important;
}

.img-wrapper {
    position: relative;
    display: inline-block;
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
}

.categories-img {
    width: 100%;
    display: block;
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    transition: transform 0.3s ease-in-out;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    border-top-left-radius: 3px !important;
    border-top-right-radius: 3px !important;
    transition: opacity 0.3s ease-in-out;
}
.custom-card:hover .overlay {
    opacity: 1;
}

.arrow-icon {
    width: 50px;
    height: auto;
}

#categories-section .card:hover {
    border: 1px solid #810055 !important;
    /* border-radius: 10px !important; */
}

#categories-section .card:hover .category-name {
    color: #810055 !important;
}
.category-name {
    font-size: 1.5rem; /* 24px */
    font-weight: 600; /* semibold */
    line-height: 1.4;
}
.category-description {
    font-size: 1rem; /* 16px */
    font-weight: 400; /* normal */
    line-height: 1.6;
    color: #656263; /* optional: softer text color */
}
/* End categories page */
/* about us page */
.description {
    font-size: 1rem; /* 16px */
    font-weight: 400; /* normal */
    line-height: 1.6;
    color: #656263; /* optional: softer text color */
}
.aboutus-card-text {
    position: absolute;
    top: 25px;
    bottom: 0;
    right: 25px;
}

.about-us-bg {
    background-image: url("../images/about-us/bk-img.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 8px;
    min-height: 370px;
    width: 100%;
}
.meet-team-card {
    background-color: #f5f5f5 !important;
    border: 1px solid #f5f5f5 !important;
    border-radius: 10px !important;
    position: relative;
    min-height: 300px;
}
.meet-team-card img {
    position: absolute;
    bottom: 0;
    left: 10px;
}
/* cart */
.cart-desc-info {
    font-size: 14px;
    color: #656263;
    font-weight: 400;
}
/* end cart */
.stepActive {
    width: 30px;
    height: 30px;
    background: #810055;
    border-radius: 50%;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.stepDeactive {
    width: 30px;
    height: 30px;
    background: #f5f5f5;
    border-radius: 50%;
    color: #656263;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* footer section css */
#footer .footer-logo {
    width: 180px;
}
.footer-title {
    font-size: 1.5rem; /* 24px (base: 16px) */
    font-weight: 600;
    line-height: 1.4;
}
.footer-link {
    font-size: 1rem; /* 16px (base: 16px) */
    font-weight: 400;
    line-height: 1.4;
    text-decoration: none;
    color: #000;
    transition: color 0.3s ease;
}
.step-title {
  font-size: 1rem; /* 16px */
  font-weight: 600; /* semibold */
  line-height: 1.4;
}
.product-list{
    max-height: 545px;
    overflow-y: auto;
}

.dropify-wrapper {
    border: 1px dashed #000;
    border-radius: 12px;
}
.dropify-wrapper .dropify-message span.file-icon::before {
    content: "";
    background: url("../images/icon/upload.svg") no-repeat center;
    background-size: 48px;
    display: inline-block;
    width: 48px;
    height: 48px;
}
.dropify-wrapper .dropify-message span.file-icon p {
    font-size: 12px;
    font-weight: 400;
    color: #000 !important;
}
.add-new-dropify{
    border: 1px dashed #000;
    border-radius: 12px;
}
.mobileOtp .input-group-text {
    background-color: transparent;
    border-left: 0px !important;
    padding: 0px 5px;
}
.mobileOtp input {
    border-right: 0px !important;
}

.fMenu {
    position: fixed;
    z-index: 998; /* keep above other elements */
    bottom: 15px;
    right: 15px;
}
.offcanvas.offcanvas-bottom {
    height: 60vh;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}
/* Tablets (768px – 1199px) */
@media (max-width: 1199px) and (min-width: 768px) {
    .main-title {
        font-size: 2.5rem; /* 40px */
    }
    .sectiontitle {
        font-size: 1.75rem; /* 28px */
    }
    .productName {
        font-size: 1.0625rem; /* 17px */
    }
    .category-name {
        font-size: 1.375rem; /* 22px */
    }
    .category-description {
        font-size: 0.9375rem; /* 15px */
    }
    .description {
        font-size: 0.9375rem; /* 15px */
    }
    .footer-title {
        font-size: 1.375rem; /* 22px */
    }
    .footer-link {
        font-size: 0.9375rem; /* 15px */
    }
}
@media (max-width: 417px) {
    .main-title {
        font-size: 32px !important;
    }
    .btn {
        font-size: 10px !important;
        padding: 8px 10px 8px 10px !important;
    }
}
@media (max-width: 767px) {
    .btn {
        font-size: 10px !important;
        padding: 8px 10px 8px 10px !important;
    }
    .sectiontitle {
        font-size: 1.25rem; /* 20px */
    }
    .main-title {
        font-size: 1.75rem; /* 28px */
    }
    .container-fluid {
        padding: 10px 15px !important;
    }
    .productName {
        font-size: 0.75rem; /* 12px */
    }
    .category-name {
        font-size: 1.125rem; /* 18px */
    }
    .category-description {
        font-size: 0.875rem; /* 14px */
    }
    .description {
        font-size: 0.875rem; /* 14px */
    }
    .contact-us-bg {
        min-height: 300px;
        /* home page */
    }
    .banner-slide {
        min-height: 300px !important;
    }
    .category-card p {
        font-size: 10px !important;
        /* smaller on mobile */
    }
    .contact-us-bg .card-body {
        padding: 16px !important;
    }
    .frame-perfaction-bg {
        min-height: 17px !important;
    }
    .frame-perfaction-bg .card-body {
        padding: 16px !important;
    }
    .dress-modular-bg .card-body {
        padding: 16px !important;
    }
    .dress-modular-bg {
        min-height: 170px !important;
    }

    .swiper .c-desc {
        font-size: 10px !important;
        color: #810055;
        font-weight: 500;
        margin-bottom: 4px;
    }

    #categories-main-banner {
        margin-top: 10px;
    }

    .about-us-bg {
        /* In abput us page */
        height: 250px;
    }
    .meet-team-card img {
        width: 70%;
    }
    .footer-title {
        font-size: 1.125rem; /* 18px */
    }
    .footer-link {
        font-size: 0.875rem; /* 14px */
    }
    .step-title {
    font-size: 0.75rem /* 14px */
  }
}
